### Type parameters

### Hierarchy

- FileOptions

## Index

### Properties

- attributes
- dimensionsFiltersConfig
- features
- id
- identifierAttribute
- inRange
- maxResolution
- minResolution
- name
- visible

## Properties

### attributes

attributes: Attribute[]

- Defined in src/datasource/File.js:35

(DataSourceOptions)

### dimensionsFiltersConfig

dimensionsFiltersConfig: Object

- Defined in src/datasource/File.js:36

(DataSourceOptions)

### features

features: Collection<Feature<Geometry>>

- Defined in src/datasource/File.js:33

Collection of `import('ol/Feature').default<import('ol/geom/Geometry').default>` objects.

### id

id: number

- Defined in src/datasource/File.js:38

(DataSourceOptions)

### identifierAttribute

identifierAttribute: string

- Defined in src/datasource/File.js:39

(DataSourceOptions)

### inRange

inRange: boolean

- Defined in src/datasource/File.js:40

(DataSourceOptions)

### maxResolution

maxResolution: number

- Defined in src/datasource/File.js:42

(DataSourceOptions)

### minResolution

minResolution: number

- Defined in src/datasource/File.js:41

(DataSourceOptions)

### name

name: string

- Defined in src/datasource/File.js:43

(DataSourceOptions)

### visible

visible: boolean

- Defined in src/datasource/File.js:44

(DataSourceOptions)

Generated using TypeDoc